import 'package:hmg_patient_app_new/core/utils/date_util.dart';

class WeekWeightMeasurementResultAverage {
  dynamic dailyAverageResult;
  DateTime? weightDate;

  WeekWeightMeasurementResultAverage({this.dailyAverageResult, this.weightDate});

  WeekWeightMeasurementResultAverage.fromJson(Map<String, dynamic> json) {
    dailyAverageResult = json['DailyAverageResult'];
    weightDate = DateUtil.convertStringToDate(json['WeightDate']);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['DailyAverageResult'] = dailyAverageResult;
    data['WeightDate'] = weightDate;
    return data;
  }
}

